EnTT: entt::sigh_helper< Registry > Struct Template Reference

EnTT 3.16.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
entt::sigh_helper< Registry > Struct Template Reference

Signal connection helper for registries. More...

`#include <helper.hpp>`

Inheritance diagram for entt::sigh_helper< Registry >:
[legend]

## Public Types
using | registry_type = Registry
| Registry type.

## Public Member Functions
| sigh_helper (registry_type &ref)
| Constructs a helper for a given registry.
template<typename Type>
auto | with (const id_type id=type_hash< Type >::value()) noexcept
| Binds a properly initialized helper to a given signal type.
registry_type & | registry () noexcept
| Returns a reference to the underlying registry.

## Detailed Description

template<typename Registry>
struct entt::sigh_helper< Registry >

Signal connection helper for registries.

Template Parameters

  Registry | Basic registry type.

Definition at line 151 of file helper.hpp.

## Member Typedef Documentation

## ◆ registry_type

template<typename Registry>

using entt::sigh_helper< Registry >::registry_type = Registry

Registry type.

Definition at line 153 of file helper.hpp.

## Constructor & Destructor Documentation

## ◆ sigh_helper()

template<typename Registry>

entt::sigh_helper< Registry >::sigh_helper | ( | registry_type & | ref | ) |
| inline

Constructs a helper for a given registry.

Parameters

  ref | A valid reference to a registry.

Definition at line 159 of file helper.hpp.

## Member Function Documentation

## ◆ registry()

template<typename Registry>

registry_type & entt::sigh_helper< Registry >::registry | ( |  | ) |
| inlinenodiscardnoexcept

Returns a reference to the underlying registry.

Returns
  A reference to the underlying registry.

Definition at line 177 of file helper.hpp.

## ◆ with()

template<typename Registry>
template<typename Type>

auto entt::sigh_helper< Registry >::with | ( | const id_type | id = type_hash<Type>::value() | ) |
| inlinenoexcept

Binds a properly initialized helper to a given signal type.

Template Parameters

  Type | Type of signal to bind the helper to.

Parameters

  id | Optional name for the underlying storage to use.

Returns
  A helper for a given registry and signal type.

Definition at line 169 of file helper.hpp.

The documentation for this struct was generated from the following file:

- src/entt/entity/helper.hpp